Veeam Enterprise Plus
All operations require authentication.
List Veeam Enterprise Plus servicesBeta
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ veeam/ veeamEnterprise \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get Veeam Enterprise PlusBeta
Path parameters
Domain of the service
Response
Activation status for your Veeam backup server
cancelleddoingdonetodoIAM resource metadata
This Backup Server IP
Your Veeam Enterprise Service name
OVH Enterprise Manager IP
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ veeam/ veeamEnterprise/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "activationStatus": "cancelled", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ip": "192.0.2.0", "serviceName": "string", "sourceIp": "192.0.2.0"}
Confirm service terminationBeta
Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.
Path parameters
Domain of the service
Request body (required)
Commentary about your termination request
What next after your termination request
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORReason of your termination request
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ veeam/ veeamEnterprise/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Register Veeam backup serverBeta
Path parameters
Domain of the service
Request body (required)
Your Veeam Backup And Replication Server IP
Your Veeam Backup And Replication associated password
Your Veeam Backup And Replication username
Response
Task completion date
Task name
Current progress
Task creation date
Current Task state
canceleddoingdoneerrortoCreatetodounfixedwaitingwaitingForChildsTask id
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ veeam/ veeamEnterprise/ {serviceName}/ register \
-H "authorization: Bearer $OVH_TOKEN"[ { "endDate": "2024-01-01T12:00:00Z", "name": "string", "progress": 0, "startDate": "2024-01-01T12:00:00Z", "state": "canceled", "taskId": 0 }]
Get service informationBeta
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
Domain of the service
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ veeam/ veeamEnterprise/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationBeta
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
Domain of the service
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ veeam/ veeamEnterprise/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"List operationsBeta
Path parameters
Domain of the service
Query parameters
Filter the value of name property (like)
Filter the value of state property (=)
canceleddoingdoneerrortoCreatetodounfixedwaitingwaitingForChildsResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ veeam/ veeamEnterprise/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get operationBeta
Path parameters
Domain of the service
Task id
Response
Task completion date
Task name
Current progress
Task creation date
Current Task state
canceleddoingdoneerrortoCreatetodounfixedwaitingwaitingForChildsTask id
Example uses serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ veeam/ veeamEnterprise/ {serviceName}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "endDate": "2024-01-01T12:00:00Z", "name": "string", "progress": 0, "startDate": "2024-01-01T12:00:00Z", "state": "canceled", "taskId": 0}
Request service terminationBeta
Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ veeam/ veeamEnterprise/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Update Veeam Enterprise Plus configurationBeta
Path parameters
Domain of the service
Request body (required)
Your Veeam Backup And Replication Server IP
Your Veeam Backup And Replication associated password
Your Veeam Backup And Replication username
Response
Task completion date
Task name
Current progress
Task creation date
Current Task state
canceleddoingdoneerrortoCreatetodounfixedwaitingwaitingForChildsTask id
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ veeam/ veeamEnterprise/ {serviceName}/ update \
-H "authorization: Bearer $OVH_TOKEN"[ { "endDate": "2024-01-01T12:00:00Z", "name": "string", "progress": 0, "startDate": "2024-01-01T12:00:00Z", "state": "canceled", "taskId": 0 }]